Subject: Re: [Webpush] Call for Adoption : encryption draft as a WG item

From: Shida Schubert <[email-masked]>
Date: Wed, 7 Oct 2015 15:51:33 -0700

All;

 I didn’t hear any strong push back on the adoption of the draft but I also heard some concern about it’s heavy dependency on the thomson-http-encryption. 

 I think it will be difficult to put the draft thorough IESG without any way to encrypt the contents, so we need something and the only thing on the table right now is this draft. 

 If people want to wait until Yokohama to adopt this draft, please voice it now. When you voice your objection, please come up with a counter proposal (whether proposing existing mechanism etc.), so we can keep the discussions rolling.

 If I don’t hear anything within a week, I will ask Martin to submit a 00 working group draft.
 
Regards
 Shida 

> On Sep 11, 2015, at 7:16 AM, Mark Nottingham <[email-masked]> wrote:
> 
> Brian et al,
> 
> FWIW - I'm considering doing a Call for Adoption on that draft in the not-too-distant future, but haven't talked to Barry about it yet. 
> 
> That said, one of the factors that will help make that determination is this WG having a dependency on the work.
> 
> Cheers,
> 
> 
>> On 10 Sep 2015, at 5:40 pm, Brian Raymor <[email-masked]> wrote:
>> 
>> 
>> On 9 September 2015 at 18:12, Martin Thomson <[email-masked]> wrote:
>> 
>>> On 9 September 2015 at 16:55, Brian Raymor <[email-masked]> wrote:
>>>> Since draft-thomson-webpush-encryption-01 is dependent on draft-thomson-http-encryption-01, is the intent to liaison with HTTPbis at IETF 94 and request a mechanism for encrypted content-encoding? This would be similar to the request from HTTPbis to TLS to address next protocol negotiation at IETF 85 (Slide 7) - http://www.ietf.org/proceedings/85/slides/slides-85-tls-1.pdf.
>> 
>>> I think that would be best, though I'd suggest that our area directors are the best people to consult on the distribution of work.  As it was with ALPN, we give up change control when that happens and would have to respect the decisions made with respect to that work as it evolves.
>> 
>> Then, I'd prefer to keep encryption as an optional feature in a separate draft from the core protocol until there is more clarity. Have existing solutions also been completely ruled out? I did miss the earlier HTTPbis discussion at IETF 92 due to schedule conflicts. The tone/direction of the conversation is a bit hard to assess from the minutes.
>> 
>> 
>> ...Brian
>> _______________________________________________
>> Webpush mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/webpush
> 
> --
> Mark Nottingham   https://www.mnot.net/
> 
> 
> 
> 
> _______________________________________________
> Webpush mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/webpush